# Uses of Interface
org.eclipse.e4.ui.css.core.dom.IElementProvider

Packages that use IElementProvider
Package
Description
org.eclipse.e4.ui.css.core.engine
org.eclipse.e4.ui.css.core.impl.engine
org.eclipse.e4.ui.css.swt.dom
org.eclipse.e4.ui.css.swt.dom.definition
org.eclipse.e4.ui.css.swt.dom.html
org.eclipse.e4.ui.css.swt.dom.preference

## Uses of IElementProvider in org.eclipse.e4.ui.css.core.engine

Methods in org.eclipse.e4.ui.css.core.engine that return IElementProvider
Modifier and Type
Method
Description
`IElementProvider`
CSSEngine.`getElementProvider()`
Get `IElementProvider` registered used to retrieve w3c `Element` which wrap native widget.
Methods in org.eclipse.e4.ui.css.core.engine with parameters of type IElementProvider
Modifier and Type
Method
Description
`boolean`
CSSElementContext.`elementMustBeRefreshed(IElementProvider elementProvider)`
Return true if element provider has changed and false otherwise.
`void`
CSSElementContext.`setElementProvider(IElementProvider elementProvider)`
Set `IElementProvider` used to get the Element wich wrap the native widget.
`void`
CSSEngine.`setElementProvider(IElementProvider elementProvider)`
Set `IElementProvider` registered used to retrieve w3c `Element` which wrap native widget.

## Uses of IElementProvider in org.eclipse.e4.ui.css.core.impl.engine

Classes in org.eclipse.e4.ui.css.core.impl.engine that implement IElementProvider
Modifier and Type
Class
Description
`class`
`RegistryCSSElementProvider`
A simple `IElementProvider` that is configured by an extension point.
Methods in org.eclipse.e4.ui.css.core.impl.engine that return IElementProvider
Modifier and Type
Method
Description
`IElementProvider`
AbstractCSSEngine.`getElementProvider()`
Methods in org.eclipse.e4.ui.css.core.impl.engine with parameters of type IElementProvider
Modifier and Type
Method
Description
`boolean`
CSSElementContextImpl.`elementMustBeRefreshed(IElementProvider elementProvider)`
`void`
AbstractCSSEngine.`setElementProvider(IElementProvider elementProvider)`
`void`
CSSElementContextImpl.`setElementProvider(IElementProvider elementProvider)`

## Uses of IElementProvider in org.eclipse.e4.ui.css.swt.dom

Classes in org.eclipse.e4.ui.css.swt.dom that implement IElementProvider
Modifier and Type
Class
Description
`class`
`SWTElementProvider`
Returns the CSS class which is responsible for styling a SWT widget Registered via the "org.eclipse.e4.ui.css.core.elementProvider" extension point for the SWT widgets `IElementProvider` SWT implementation to retrieve w3c Element `Element` linked to SWT widget.
Fields in org.eclipse.e4.ui.css.swt.dom declared as IElementProvider
Modifier and Type
Field
Description
`static final IElementProvider`
SWTElementProvider.`INSTANCE`

## Uses of IElementProvider in org.eclipse.e4.ui.css.swt.dom.definition

Classes in org.eclipse.e4.ui.css.swt.dom.definition that implement IElementProvider
Modifier and Type
Class
Description
`class`
`ThemeElementDefinitionProvider`

## Uses of IElementProvider in org.eclipse.e4.ui.css.swt.dom.html

Classes in org.eclipse.e4.ui.css.swt.dom.html that implement IElementProvider
Modifier and Type
Class
Description
`class`
`SWTHTMLElementProvider`
`IElementProvider` SWT implementation to retrieve w3c Element `SWTHTMLElement` linked to SWT widget.
Fields in org.eclipse.e4.ui.css.swt.dom.html declared as IElementProvider
Modifier and Type
Field
Description
`static final IElementProvider`
SWTHTMLElementProvider.`INSTANCE`

## Uses of IElementProvider in org.eclipse.e4.ui.css.swt.dom.preference

Classes in org.eclipse.e4.ui.css.swt.dom.preference that implement IElementProvider
Modifier and Type
Class
Description
`class`
`EclipsePreferencesProvider`